Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.widgets
Class TableColumn

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Item
              org.eclipse.swt.widgets.TableColumn

public class TableColumn
extends Item

Instances of this class represent a column in a table widget.

Styles:
  LEFT, RIGHT, CENTER
Events:
  Move, Resize, Selection

Note: Only one of the styles LEFT, RIGHT and CENTER may be specified.

IMPORTANT: This class is not intended to be subclassed.

Constructor Summary
`TableColumn(Table parent, int style)` Constructs a new instance of this class given its parent (which must be a `Table`) and a style value describing its behavior and appearance.
`TableColumn(Table parent, int style, int index)` Constructs a new instance of this class given its parent (which must be a `Table`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.

Method Summary
`void` | `addControlListener(ControlListener listener)` Adds the listener to the collection of listeners who will be notified when the control is moved or resized, by sending it one of the messages defined in the `ControlListener` interface.
`void` | `addSelectionListener(SelectionListener listener)` Adds the listener to the collection of listeners who will be notified when the control is selected, by sending it one of the messages defined in the `SelectionListener` interface.
`protected void` | `checkSubclass()` Checks that this class can be subclassed.
`int` | `getAlignment()` Returns a value which describes the position of the text or image in the receiver.
`Table` | `getParent()` Returns the receiver's parent, which must be a `Table`.
`boolean` | `getResizable()` Gets the resizable attribute.
`int` | `getWidth()` Gets the width of the receiver.
`void` | `pack()` Causes the receiver to be resized to its preferred size.
`void` | `removeControlListener(ControlListener listener)` Removes the listener from the collection of listeners who will be notified when the control is moved or resized.
`void` | `removeSelectionListener(SelectionListener listener)` Removes the listener from the collection of listeners who will be notified when the control is selected.
`void` | `setAlignment(int alignment)` Controls how text and images will be displayed in the receiver.
`void` | `setImage(Image image)` Sets the receiver's image to the argument, which may be null indicating that no image should be displayed.
`void` | `setResizable(boolean resizable)` Sets the resizable attribute.
`void` | `setText(String string)` Sets the receiver's text.
`void` | `setWidth(int width)` Sets the width of the receiver.

Methods inherited from class org.eclipse.swt.widgets.Item
`getImage, getText`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableColumn

    public TableColumn(Table parent,
                       int style)

  Constructs a new instance of this class given its parent (which must be a `Table`) and a style value describing its behavior and appearance. The item is added to the end of the items maintained by its parent.

  The style value is either one of the style constants defined in class `SWT` which is applicable to instances of this class, or must be built by bitwise OR'ing together (that is, using the `int` "|" operator) two or more of those `SWT` style constants. The class description lists the style constants that are applicable to the class. Style bits are also inherited from superclasses.

Parameters:
  `parent` - a composite control which will be the parent of the new instance (cannot be null)
  `style` - the style of control to construct
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the parent is null
  `SWTException` -
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
  - ERROR_INVALID_SUBCLASS - if this class is not an allowed subclass
See Also:
  `SWT.LEFT`, `SWT.RIGHT`, `SWT.CENTER`, `Widget.checkSubclass()`, `Widget.getStyle()`

### TableColumn

    public TableColumn(Table parent,
                       int style,
                       int index)

  Constructs a new instance of this class given its parent (which must be a `Table`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.

  The style value is either one of the style constants defined in class `SWT` which is applicable to instances of this class, or must be built by bitwise OR'ing together (that is, using the `int` "|" operator) two or more of those `SWT` style constants. The class description lists the style constants that are applicable to the class. Style bits are also inherited from superclasses.

Parameters:
  `parent` - a composite control which will be the parent of the new instance (cannot be null)
  `style` - the style of control to construct
  `index` - the index to store the receiver in its parent
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the parent is null
  `SWTException` -
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
  - ERROR_INVALID_SUBCLASS - if this class is not an allowed subclass
See Also:
  `SWT.LEFT`, `SWT.RIGHT`, `SWT.CENTER`, `Widget.checkSubclass()`, `Widget.getStyle()`

Method Detail

### addControlListener

    public void addControlListener(ControlListener listener)

  Adds the listener to the collection of listeners who will be notified when the control is moved or resized, by sending it one of the messages defined in the `ControlListener` interface.

  Parameters:
    `listener` - the listener which should be notified
  Throws:
    `IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the listener is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `ControlListener`, `removeControlListener(org.eclipse.swt.events.ControlListener)`

### addSelectionListener

    public void addSelectionListener(SelectionListener listener)

  Adds the listener to the collection of listeners who will be notified when the control is selected, by sending it one of the messages defined in the `SelectionListener` interface.

  `widgetSelected` is called when the column header is selected. `widgetDefaultSelected` is not called.

  Parameters:
    `listener` - the listener which should be notified
  Throws:
    `IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the listener is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `SelectionListener`, `removeSelectionListener(org.eclipse.swt.events.SelectionListener)`, `SelectionEvent`

### checkSubclass

    protected void checkSubclass()

  Description copied from class: `Widget`
  Checks that this class can be subclassed.

  The SWT class library is intended to be subclassed only at specific, controlled points (most notably, `Composite` and `Canvas` when implementing new widgets). This method enforces this rule unless it is overridden.

  IMPORTANT: By providing an implementation of this method that allows a subclass of a class which does not normally allow subclassing to be created, the implementer agrees to be fully responsible for the fact that any such subclass will likely fail between SWT releases and will be strongly platform specific. No support is provided for user-written classes which are implemented in this fashion.

  The ability to subclass outside of the allowed SWT classes is intended purely to enable those not on the SWT development team to implement patches in order to get around specific limitations in advance of when those limitations can be addressed by the team. Subclassing should not be attempted without an intimate and detailed understanding of the hierarchy.

  Overrides:
    `checkSubclass` in class `Item`

### getAlignment

    public int getAlignment()

  Returns a value which describes the position of the text or image in the receiver. The value will be one of `LEFT`, `RIGHT` or `CENTER`.

  Returns:
    the alignment
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getParent

    public Table getParent()

  Returns the receiver's parent, which must be a `Table`.

  Returns:
    the receiver's parent
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getResizable

    public boolean getResizable()

  Gets the resizable attribute. A column that is not resizable cannot be dragged by the user but may be resized by the programmer.

  Returns:
    the resizable attribute
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getWidth

    public int getWidth()

  Gets the width of the receiver.

  Returns:
    the width
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### pack

    public void pack()

  Causes the receiver to be resized to its preferred size. For a composite, this involves computing the preferred size from its layout, if there is one.

  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### removeControlListener

    public void removeControlListener(ControlListener listener)

  Removes the listener from the collection of listeners who will be notified when the control is moved or resized.

  Parameters:
    `listener` - the listener which should be notified
  Throws:
    `IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the listener is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `ControlListener`, `addControlListener(org.eclipse.swt.events.ControlListener)`

### removeSelectionListener

    public void removeSelectionListener(SelectionListener listener)

  Removes the listener from the collection of listeners who will be notified when the control is selected.

  Parameters:
    `listener` - the listener which should be notified
  Throws:
    `IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the listener is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `SelectionListener`, `addSelectionListener(org.eclipse.swt.events.SelectionListener)`

### setAlignment

    public void setAlignment(int alignment)

  Controls how text and images will be displayed in the receiver. The argument should be one of `LEFT`, `RIGHT` or `CENTER`.

  Parameters:
    `alignment` - the new alignment
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setImage

    public void setImage(Image image)

  Description copied from class: `Item`
  Sets the receiver's image to the argument, which may be null indicating that no image should be displayed.

  Overrides:
    `setImage` in class `Item`
  Parameters:
    `image` - the image to display on the receiver (may be null)

### setResizable

    public void setResizable(boolean resizable)

  Sets the resizable attribute. A column that is not resizable cannot be dragged by the user but may be resized by the programmer.

  Parameters:
    `resizable` - the resize attribute
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setText

    public void setText(String string)

  Description copied from class: `Item`
  Sets the receiver's text.

  Overrides:
    `setText` in class `Item`
  Parameters:
    `string` - the new text

### setWidth

    public void setWidth(int width)

  Sets the width of the receiver.

  Parameters:
    `width` - the new width
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.